Subject: RE: MTAs should focus on email TRANSPORT not email CONTENT

From: "Terje Petersen" <[email-masked]>
Date: Thu, 22 Jul 2004 12:39:01 +1000

-----Original Message-----
From: David Beveridge [mailto:[email-masked]] 
Sent: Thursday, 22 July 2004 12:05 PM
To: [email-masked]
Cc: Terje Petersen
Subject: Re: MTAs should focus on email TRANSPORT not email CONTENT

On Thursday Terje wrote:
>
> TP> That's nice but SUBMITTER = FROM unless the content is malformed.

Not always,  I host a web page with a payment gateway for my customer.
My
web server contacts the bank with all the details to process the
transaction.  Then the bank (SUBMITTER) sends an email on my behalf
(FROM
ME) to my customer confirming the transaction.

TP# Well the current proposal on the table is that MTAs should reject
email
TP# if SUBMITTER and FROM are not the same. If you have a beef with that

TP# idea then it's much bigger than what I was talking about in relation
to 
TP# what the MUA should be doing. 

TP# Are you sure you are not thinking of the MAIL FROM address.
Certainly
TP# the MAIL FROM address can differ from the SUBMITTER address. However

TP# MAIL FROM is SPF checked by the MTA. 

> TP> And SUBMITTER is verified by the MTA using SPF records.
> TP> So the reply should go to SUBMITTER as its verified as being the
> TP> real sender. And if the real sender is sending malformed email
> TP> then they should get any replies in any case.

I want my customer to reply to me, not the banks computer.

TP# This has nothing to do with whether checking is done by the MTA or 
TP# or the MUA. 

TP# It seems you want the bank should put your address as the SUBMITTER.

TP# And they should put their address in the MAIL FROM section. 
TP# Then your SPF records will need to permit them to do this.

---

From: "David Beveridge" <[email-masked]>
Date: Thu, 22 Jul 2004 14:54:16 +1000

> TP# the MAIL FROM address can differ from the SUBMITTER address. However

Ah yes, that is what I was thinking.

dave